Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Je kunt ook een cookievrije versie van de website bezoeken met minder functionaliteit. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , reacties: 39, views: 10.785 •
Bron: Nvidia, submitter: _wobbo_

nVidia logo (60 pix)Nvidia heeft nieuwe display drivers uitgebracht die versienummer 173.14.05 hebben gekregen. Ze zijn beschikbaar voor Linux 32bits, Linux AMD64/EM64T, Solaris (x64/x86) en Freebsd; specifieke installatie instructies kunnen op de afzonderlijke pagina's worden gevonden. In deze release treffen we onder andere ondersteuning aan voor diverse nieuwe videokaarten, is er voorlopige ondersteuning voor X.Org Server 1.5 en zijn er diverse problemen verholpen. Het volledige changelog van deze release ziet er als volgt uit:

Lees meer over

Versienummer:173.14.05
Releasestatus:Final
Besturingssystemen:Linux IA-64, Linux AMD64, Linux
Website:Nvidia
Download:http://www.nvidia.com/Download/index.aspx?lang=en-us
Licentietype:Voorwaarden (GNU/BSD/etc.)

Reacties (39)

"Nvidia heeft nieuwe display drivers uitgebracht die versienummer 169.09 hebben gekregen. Ze zijn beschikbaar voor"

Copy paste van de vorige 169 release, zonder enige aanpassingen.. tja schiet lekker op
Onder Ubuntu 8.04 vern**kt* de versie 169.09 mijn hele X omgeving, na veel editten werkte de boel weer maar voor mij even geen Nvidia drivers die niet speciaal voor de Ubuntu omgeving zijn ontworpen.
Dit had ik ook. Hoe heb je het weer werkend gekregen? Ik heb vanalles geprobeerd, en uiteindelijk maar Ubuntu opnieuw geinstalleerd. :/
Backup altijd je xorg.conf eerst.

Mocht er wat mis gaan kun je die altijd terug zetten.
Jouw probleem is me niet helemaal duidelijk maar meestal crasht je x-server als je het niet goed hebt gedaan.

Dan kun je met bvb de "VI" editor je xorg.conf aanpassen zodat hij wel weer werkt (Display driver wijzigen naar bvb "vesa").

Temps verwijderen en daarna je x-server herstarten. Meestal werkt hij dan weer. En kun je opnieuw beginnen :)
Ja, dat was een goed idee geweest, maar eerlijk gezegd had ik niet verwacht dat mijn xorg.conf veranderd zou worden. (De naam van de driver blijft immers "nvidia", en verder wilde ik ook geen instellingen veranderen.) Wellicht dom.

In ieder geval kreeg ik telkens als ik X opstartte een error te zien dat mijn hardware niet goed gedetecteerd kon worden en dat alles in lage resolutie opgestart zou worden. Daarbij had ik dan wel de mogelijkheid om zelf mijn hardware aan te geven, maar dat had geen enkel effect. Het uitzetten, uninstallen of reinstallen van de nvidia driver had ook geen effect. (Let wel: ook als ik de "nv" driver gebruikte ging het dus mis.)

Ik zal nog wel eens kijken of ik iets kan vinden in de xorg.conf.

In ieder geval bedankt voor de tip.
In ieder geval kreeg ik telkens als ik X opstartte een error te zien dat mijn hardware niet goed gedetecteerd kon worden en dat alles in lage resolutie opgestart zou worden.
Die melding heb ik ook een paar keer gezien.
Oplossing voor mij was om de grafische omgeving af te sluiten en de drivers nogmaals te installeren.
en uiteindelijk maar Ubuntu opnieuw geinstalleerd.
Waaaahahahahahahaha, wat een enorm zwaktebod! 1 (1) file vervangen is voldoende, maar meneer installeert gewoon maar het hele OS opnieuw. Wel met volledige format en geen herstel gedaan hopenlijk he? :P

[Reactie gewijzigd door Jack Flushell op 4 juni 2008 08:14]

Bedankt voor je geweldige reactie, Jack Flushell. "Meneer" had na een tijdje zitten klooien met packages en zijn xorg.conf niet zo'n zin on nog meer gedoe, dus "meneer" heeft op een andere partitie even snel een nieuwe Ubuntu ge´nstalleerd zodat hij weer aan het werk kon. "Meneer" moest namelijk dingen doen met een deadline, en dus koos hij voor de meest zekere oplossing. Als "meneer" zijn xorg.conf had gebackupt had hij die wel teruggezet, maar omdat hij niet had verwacht dat die Nvidia installer daarin ging kutten heeft hij dat niet gedaan.

Waaaahahahahahahahaha.
Je heb de verkeerde verwachtingen... nvidia driver is closed source, en dat is per definitie niet te vertrouwen. Heb al sinds 8x.xx geen nvidia driver van de site meer geinstalleerd, geef mij maar een package, die doen het normaal wel.

Maar uhm, als je werk had wat af moest, had je ook gewoon van live-cd kunnen draaien. That's what i would've done. Als ik een computer installeer ben ik eerst een paar uur bezig m'n systeem, software en desktop te customizen :+
Och, ik heb gewoon alle relevante directories uit mijn oude home gekopieerd naar mijn nieuwe home, drie progamma's ge´nstalleerd die ik nodig had, en ik kon aan de slag. Wat mij betreft lekkerder dan zo'n langzame Live CD. :)
Als zulke stomme problemen niet opgelost raken zal Linux ook nooit doorbreken bij de consumenten.
Je moet maar een backup van je xorg.conf gemaakt hebben of gebruik de VI om het bestand te wijzigen, zijn geen gebruiksvriendelijke oplossingen.

Zeker zulke reacties zijn zwak, zomaar iemand uitlachen omdat die zoiets niet weet? Dat toont helaas hoeveel respect de gemiddelde IT'er heeft over zijn gebruikers :-/
Op zich kan je Ubuntu dit niet aanrekenen: het is puur omdat ik te ongeduldig was (en dat had alles te maken met dat ik net een GeForce 9600 ging krijgen en zo snel mogelijk support daarvoor wilde hebben onder Linux) dat ik niet hun packages gebruikte. Tja - dan kunnen zij natuurlijk niets garanderen. Ik leg de blaam eerder bij NVidia.
In een zeker zin wel. Als een gebruiker grote fouten maakt met zijn systeem (wat altijd gebeurt bij de gewone gebruiker) dan moet die op een gebruiksvriendelijke manier het systeem terug kunnen herstellen. Als een gebruiker zit te prutsen om het hele dual screen in orde te krijgen, maar plots moet herstarten om de aanpassingen aan te brengen. Bij het terug opstarten krijg je proper de melding dat het grafische gedeelte niet meer werkt en dat je terugvalt op een CLI, dan is dit niet gebruiksvriendelijk.
Als je Windows naar de knoppen prutst (met dual screen is dat wel wat moeilijker omdat daar de support wel goed van is :D), dan kan je altijd terugblikken naar grafische safe mode.

Een besturingssysteem is voor iedereen, niet enkel voor diegene die er veel van weet. Ubuntu heeft zeker wat troeven wat betreft gebruiksvriendelijk*. Maar een gewone gebruiker die 'krachtige' dingen wilt uitvoeren maar er geen verstand van heeft zal dik tegen de lamp lopen.

Het is bewezen dat mensen die nog nooit met een computer hebben gewerkt, het best op weg zijn met Mac, gevolgd door een Linux (Ubuntu) en als laatst Windows.
Nou, dat viel op zich mee: Ubuntu viel terug op 800 x 600, niet op een CLI. Nu vind ik 800 x 600 niet acceptabel om op te werken, maar het is wel acceptabel om problemen in op te lossen.
Als ik het goed begrijp heb je deze versie niet via je ubuntu package manager geinstalleerd? Ik denk dan dat het te maken heeft met een mismatch tussen de kernel en X driver versie. Tenminste dat was bij mijn broer wel het geval een tijdje geleden. De oplossing was toen om eerst de oude versie handmatig te verwijderen en daarna pas de nieuwe er op. De nvidia en de ubuntu-nvidia drivers lijken bepaalde files op verschillende plaatsen te installeren.
Ja, hij zat nog niet in de package manager. Ik denk inderdaad dat daar iets mee mis is gegaan. Met het recept dat hellbringer hieronder geeft is het wel gelukt, uiteindelijk, maar zoals je kunt zien worden daar een aantal dingen eerst bruut geremoved.
? ik heb hier al een 8400gs met wat oudere drivers uit de ubuntu repo, en hij werkt eigenlijk prima...

Kan ik hiermee meer opties aanpassen in 't nvidia control panel ofzo?
mwah , ik heb die kaart ook en tv-out werkt niet lekker met die versie. Dus in sommige gevallen de moeite om up-te-graden.
Is het bij deze drivers ook zo dat die FAN van de VGA kaart niet als een gek tekeer gaat? Want mijn pc is best stil op de stock NVIDIA koeler na..... Als de drivers geladen zijn dan. Want daarvoor is het redelijk te doen! En nee... Hij komt niet ver boven de 40 graden uit met alleen een bureaublad en een paar virtuele machines. Geen compiz/beryl o.i.d.

Weet iemand dat?
In het changelog van de vorige versie stond iets dat dat verholpen zou moeten zijn, maar ik spreek niet uit persoonlijke ervaring.
Is het bij deze drivers ook zo dat die FAN van de VGA kaart niet als een gek tekeer gaat? Want mijn pc is best stil op de stock NVIDIA koeler na..... Als de drivers geladen zijn dan. Want daarvoor is het redelijk te doen! En nee... Hij komt niet ver boven de 40 graden uit met alleen een bureaublad en een paar virtuele machines. Geen compiz/beryl o.i.d.

Weet iemand dat?
Daarvoor kan je nvclock gebruiken.
Das wel een goed vidkaartje op die screen :+
Ik heb deze methode gebruikt om de drivers te installeren en ik moet zeggen dat dit gelijk in 1x werkt :) (MythBuntu 8.04, nVidia geforce 6200)

1. 'sudo nano /etc/modules'. Add the 'nvidia' module to the list. (Control + O and Return to save then Control + X to exit)

2. 'sudo nano /etc/default/linux-restricted-modules-common'. Make sure the file looks like: 'DISABLED_MODULES="nv" (Again, Control + O and Return to save then Control + X to exit)

3. Enter the following:
sudo apt-get install build-essential linux-headers-`uname -r`
sudo apt-get install linux-headers-`uname -r` build-essential gcc gcc-3.4 xserver-xorg-dev
sudo apt-get --purge remove nvidia-glx nvidia-settings nvidia-kernel-common
sudo rm /etc/init.d/nvidia-*
sudo /etc/init.d/gdm stop
sudo sh NVIDIA-Linux-x86-173.14.05-pkg1.run
sudo nvidia-xconfig --add-argb-glx-visuals
sudo /etc/init.d/gdm start

Credits: http://ubuntuforums.org/showthread.php?p=5066712#post5066712
Ik heb deze methode gebruikt om de drivers te installeren en ik moet zeggen dat dit gelijk in 1x werkt :) (MythBuntu 8.04, nVidia geforce 6200)
Of je gebruikt Envy. 2 x klikken en klaar...

http://packages.ubuntu.com/hardy/envyng-gtk
Envy werkte bij mij niet goed, leken wel drivers geinstalleerd te worden, maar vervolgens starte X niet meer en moest ik de config file handmatig aanpassen zodat ik in ieder geval weer beeld had.
Daarna nog een paar keer geprobeerd maar resulteerde iedere keer ˇf in geen beeld ˇf geen 3d versnelling.
k heb deze methode gebruikt om de drivers te installeren en ik moet zeggen dat dit gelijk in 1x werkt
Heb nagenoeg dezelfde handleiding, alleen begint die met de mededeling dat je je grafische schil af moet sluiten (CTRL-ALT-F1) en stoppen (sudo /etc/init.d/gdm stop), in plaats van halverwege de beschrijving :)
In de windows drivers is er onderscheid tussen laptop en desktop drivers (al kun je met een inf file hack nieuwe desktop drivers op een laptop installeren). Voor de Linux drivers is er geen verschil. Deze drivers doen het prima op laptops.
Heeft iemand de X server 1.5 compatability al geprobeerd? Daarmee zouden de drivers namelijk ook voor Fedora 9 geschikt zijn.

[edit]

Hij werkt dus op Fedora 9, althans op mijn laptop met een 8800M GTX. Dat scheelt enorm met de NV driver. XV, XVMC en 3D doen het allemaal.

[Reactie gewijzigd door brompot758 op 30 mei 2008 20:52]

Ik kan bevestigen dat deze driver het prima doet onder Fedora 9 (64bit) :)
Ik draai hier op mn bak Compiz Fusion (Gentoo Linux ~x86) en voor mn gevoel gaat het wat vlotter met deze driver (vorige was 169.09). Alles verloopt wat vloeiender. Misschien dat ze her en der wat tweakjes in de driver hebben gedaan, maar die niet in het changelog gezet.
Iemand deze al geprobeerd te installeren op Mandriva Spring 2008?
Zelfs met kernelsources compiled ie niet.
Ik heb dit op oudere Mandriva releases al vaker gedaan, maar daar heb ik dit soort problemen nog niet meegemaakt. Hints&Tips zijn welkom!

Kernelversie: 2.6.24.4-desktop-3mnb. Machine is een AMD XP 2800+ (Barton) met een XFX 7950 GT (AGP)

Ik krijg o.a. deze error:

test -e include/linux/autoconf.h -a -e include/config/auto.conf || ( \
echo; \
echo " ERROR: Kernel configuration is invalid."; \
echo " include/linux/autoconf.h or include/config/auto.conf are mis
sing."; \
echo " Run 'make oldconfig && make prepare' on kernel src to fix it
."; \
echo; \
/bin/false)

Ik heb de aangegeven oplossing al geprobeerd en de twee bovengenoemde files staan er nu, echter hij blijft dit herhalen bij een hernieuwde install/build van de module.

[Reactie gewijzigd door Kosh66 op 31 mei 2008 19:00]

Ik heb 2 dingen te zeggen:
1. De error zegt in principe dat ie verwacht dat je de kernel sources (die je dus hebt geinstalleerd) ok moet configureren. Dit doe je door met bash naar de dir te gaan waar ze geinstalleerd staan (meestal staat de kernel source in /usr/src/) en dan "make xconfig" te gebruiken.
LET OP: je moet kennis hebben van de opties om het een beetje goed te doen, de meeste mensen die niet aan kernel development doen moeten makkelijk 2-3 proberen eer ze een goed compilende en draaiende kernel hebben.

2. Ik snap niet waarom je uberhaupt de kernel src hebt gedownload hiervoor, in mijn ervaring heb je nl. hoguit de kernel headers nodig om een nvidia driver te installeren.
De kernel-sources (de kernel-devel package) heb je wel degelijk nodig, aangezien de driver iets moet compileren om de driver in de kernel te kunnen hangen.
De kernel headers zijn zat voor het compileren van de nvidia drivers. De headers is waar bij het compilen naar gelinkt wordt en de code wordt echt niet hergecompileerd voor alleen de driver.
Zojuist de kernel-devel package gedeinstalleerd en krijg de volgende melding bij het installeren van de 'officiele' drivers (NVIDIA-Linux-x86-173.14.05-pkg1.run)

"ERROR: Unable to find the kernel source tree for the currently running kernel.
Please make sure you have installed the kernel source files for your
kernel and that they are properly configured; on Red Hat Linux systems,
for example, be sure you have the 'kernel-source' or 'kernel-devel' RPM
installed. If you know the correct kernel source files are installed,
you may specify the kernel source path with the '--kernel-source-path'
command line option."

Op dit item kan niet meer gereageerd worden.



Populair:Apple iPhone 6DestinyAssassin's Creed UnityFIFA 15Nexus 6Call of Duty: Advanced WarfareApple WatchWorld of Warcraft: Warlords of Draenor, PC (Windows)Microsoft Xbox OneiPhone

© 1998 - 2014 Tweakers.net B.V. Tweakers is onderdeel van De Persgroep en partner van Computable, Autotrack en Carsom.nl Hosting door True

Beste nieuwssite en prijsvergelijker van het jaar 2013